#include <Servo.h>  // Include the Servo library

// Create instances of the Servo class for the two motors
Servo myServoRight;
Servo myServoLeft;

int receivedData = -1;
bool moving = false; // To track if the servo is already moving

void setup() {
  Serial.begin(9600);

  // Attach the servos to the pins they are connected to
  myServoRight.attach(9);  // Right servo connected to pin 9
  myServoLeft.attach(10);  // Left servo connected to pin 10

  // Initial position for the servos 
  myServoRight.write(90);  // Set right servo to middle position (90 degrees)
  myServoLeft.write(90);   // Set left servo to middle position (90 degrees)
}

void loop() {
  if (Serial.available() > 0 && !moving) {
    int newData = Serial.read(); // Read data from p5.js

    if (newData == 0 || newData == 1) {
      receivedData = newData;
      moving = true; // Prevent receiving more data while moving

      if (receivedData == 1) {
        
        // Move the servos to position 1 (e.g., 0 degrees and 180 degrees)
        myServoRight.write(45);  // Right servo to 0 degrees
        myServoLeft.write(135); // Left servo to 180 degrees

        delay(1000); // Wait for 1 second for the servos to reach the positions
      }
      else if (receivedData == 0) {

        // Move the servos to position 2 (e.g., 90 degrees for both)
        myServoRight.write(90);  // Right servo to 90 degrees (middle position)
        myServoLeft.write(90);   // Left servo to 90 degrees (middle position)

        delay(1000); // Wait for 1 second for the servos to reach the positions
      }

      moving = false; // After movement is done, reset the moving flag
    }
  }
}
